Package org.eclipse.draw2d

# Class ScalableFreeformLayeredPane

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.draw2d.Layer
org.eclipse.draw2d.LayeredPane
org.eclipse.draw2d.FreeformLayeredPane
org.eclipse.draw2d.ScalableFreeformLayeredPane

All Implemented Interfaces:
  `FreeformFigure`, `IFigure`, `IScalablePane`, `ScalableFigure`

public class ScalableFreeformLayeredPane extends FreeformLayeredPane implements IScalablePane

Since:
  2.1

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`Figure.FigureIterator, Figure.IdentitySearch, Figure.ReverseFigureChildrenIterator`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IScalablePane

`IScalablePane.IScalablePaneHelper`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Constructor Summary

Constructors
Constructor
Description
`ScalableFreeformLayeredPane()`
`ScalableFreeformLayeredPane(boolean useScaledGraphics)`
Constructor which allows to configure if scaled graphics should be used.

## Method Summary

Modifier and Type
Method
Description
`Rectangle`
`getClientArea(Rectangle rect)`
Copies the client area into the specificied Recangle, and returns that rectangle for convenience.
`double`
`getScale()`
Returns the current zoom scale level.
`boolean`
`isCoordinateSystem()`
Returns `true` if this figure is capable of applying a local coordinate system which affects its children.
`boolean`
`optimizeClip()`
Make this method publicly accessible for IScaleablePane.
`protected void`
`paintClientArea(Graphics graphics)`
Paints this Figure's client area.
`void`
`setScale(double newZoom)`
Sets the zoom level
`void`
`translateFromParent(Translatable t)`
Translates a Translatable from this IFigure's parent's coordinates to this IFigure's local coordinates.
`void`
`translateToParent(Translatable t)`
Translates a Translatable from this IFigure's coordinates to its parent's coordinates.
`boolean`
`useScaledGraphics()`

### Methods inherited from class org.eclipse.draw2d.FreeformLayeredPane

`add, addFreeformListener, fireExtentChanged, fireMoved, getFreeformExtent, getFreeformHelper, primTranslate, remove, removeFreeformListener, setFreeformBounds, superFireMoved`

### Methods inherited from class org.eclipse.draw2d.LayeredPane

`addLayerAfter, addLayerBefore, getLayer, getLayer, removeLayer, removeLayer, removeLayer`

### Methods inherited from class org.eclipse.draw2d.Layer

`containsPoint, findFigureAt`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getChildrenRevIterable, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getListenersIterable, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, handleMouseWheelScrolled, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintFigure, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateToAbsolute, translateToRelative, useLocalCoordinates, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, handleMouseWheelScrolled, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateToAbsolute, translateToRelative, validate`

### Methods inherited from interface org.eclipse.draw2d.IScalablePane

`getScaledRect`

## Constructor Details

### ScalableFreeformLayeredPane

public ScalableFreeformLayeredPane()

### ScalableFreeformLayeredPane

public ScalableFreeformLayeredPane(boolean useScaledGraphics)
Constructor which allows to configure if scaled graphics should be used.

Since:
  3.13

## Method Details

### getClientArea

public Rectangle getClientArea(Rectangle rect)
Description copied from interface: `IFigure`
Copies the client area into the specificied Recangle, and returns that rectangle for convenience.

Specified by:
  `getClientArea` in interface `IFigure`
Overrides:
  `getClientArea` in class `Figure`
Parameters:
  `rect` - The destination rectangle for the client area
Returns:
  The same instance that was passed in, modified to contain the client area
See Also:
  - `Figure.getClientArea()`

### getScale

public double getScale()
Returns the current zoom scale level.

Specified by:
  `getScale` in interface `ScalableFigure`
Returns:
  the scale

### isCoordinateSystem

public boolean isCoordinateSystem()
Description copied from interface: `IFigure`
Returns `true` if this figure is capable of applying a local coordinate system which affects its children.

Specified by:
  `isCoordinateSystem` in interface `IFigure`
Overrides:
  `isCoordinateSystem` in class `Figure`
Returns:
  `true` if this figure provides local coordinates to children
See Also:
  - `IFigure.isCoordinateSystem()`

### paintClientArea

protected void paintClientArea(Graphics graphics)
Description copied from class: `Figure`
Paints this Figure's client area. The client area is typically defined as the anything inside the Figure's `Border` or `Insets`, and by default includes the children of this Figure. On return, this method must leave the given Graphics in its initial state.

Overrides:
  `paintClientArea` in class `Figure`
Parameters:
  `graphics` - The Graphics used to paint
See Also:
  - `Figure.paintClientArea(Graphics)`

### optimizeClip

public boolean optimizeClip()
Make this method publicly accessible for IScaleablePane.

Specified by:
  `optimizeClip` in interface `IScalablePane`
Overrides:
  `optimizeClip` in class `Figure`
Since:
  3.13

### setScale

public void setScale(double newZoom)
Sets the zoom level

Specified by:
  `setScale` in interface `ScalableFigure`
Parameters:
  `newZoom` - The new zoom level

### useScaledGraphics

public boolean useScaledGraphics()

Specified by:
  `useScaledGraphics` in interface `IScalablePane`
Since:
  3.13

### translateToParent

public void translateToParent(Translatable t)
Description copied from interface: `IFigure`
Translates a Translatable from this IFigure's coordinates to its parent's coordinates.

Specified by:
  `translateToParent` in interface `IFigure`
Overrides:
  `translateToParent` in class `Figure`
Parameters:
  `t` - The object to translate
See Also:
  - `Figure.translateToParent(Translatable)`

### translateFromParent

public void translateFromParent(Translatable t)
Description copied from interface: `IFigure`
Translates a Translatable from this IFigure's parent's coordinates to this IFigure's local coordinates.

Specified by:
  `translateFromParent` in interface `IFigure`
Overrides:
  `translateFromParent` in class `Figure`
Parameters:
  `t` - The object to translate
See Also:
  - `Figure.translateFromParent(Translatable)`